### Function

# EDataServer AsyncClosure callback

since: 3.6

#### Declaration [src]

    void
    e_async_closure_callback (
      GObject* object,
      GAsyncResult* result,
      gpointer closure
    )

#### Description [src]

Pass this function as the `GAsyncReadyCallback` argument of an asynchronous function, and the `EAsyncClosure` as the data argument.

This causes `e_async_closure_wait()` to terminate and return `result`.

Available since: 3.6

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `GObject`

  A `GObject` or `NULL`, it is not used by the function at all.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`closure`

  Type: `gpointer`

  An `EAsyncClosure`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.